<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:11 CET 2009 -->
<TITLE>
StreamConfigParser
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.xml.config.StreamConfigParser class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="StreamConfigParser";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/StreamConfigParser.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/xml/config/MissingReferableException.html" title="class in ch.javasoft.xml.config"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/xml/config/StreamConfigParser.ConsoleType.html" title="enum in ch.javasoft.xml.config"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/xml/config/StreamConfigParser.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="StreamConfigParser.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.xml.config</FONT>
<BR>
Class StreamConfigParser</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.xml.config.StreamConfigParser</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../src-html/ch/javasoft/xml/config/StreamConfigParser.html#line.68"><B>StreamConfigParser</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></DL>
</PRE>

<P>
Parses stream elements (or other enclosing elements with a type attribute)
 of the following types:
 <pre>
                <stream type="console">
                        <console type="err"/>
                </stream>               
                <stream type="console">
                        <console type="out"/>
                </stream>               
                <stream type="file">
                        <file name="{work-dir}/{-log[2]}"/>
                </stream>               
                <stream type="logger">
                        <logger name="" level="INFO"/>
                </stream>
 </pre>
<P>

<P>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/StreamConfigParser.ConsoleType.html" title="enum in ch.javasoft.xml.config">StreamConfigParser.ConsoleType</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/StreamConfigParser.XmlAttribute.html" title="enum in ch.javasoft.xml.config">StreamConfigParser.XmlAttribute</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/StreamConfigParser.XmlElement.html" title="enum in ch.javasoft.xml.config">StreamConfigParser.XmlElement</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/StreamConfigParser.XmlInputStreamType.html" title="enum in ch.javasoft.xml.config">StreamConfigParser.XmlInputStreamType</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/StreamConfigParser.XmlOutputStreamType.html" title="enum in ch.javasoft.xml.config">StreamConfigParser.XmlOutputStreamType</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintStream.html" title="class or interface in java.io">PrintStream</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/StreamConfigParser.html#parseConsolePrintStream(org.dom4j.Element)">parseConsolePrintStream</A></B>(org.dom4j.Element&nbsp;streamElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses (stream element can be named differently):</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/FileInputStream.html" title="class or interface in java.io">FileInputStream</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/StreamConfigParser.html#parseFileInputStream(org.dom4j.Element)">parseFileInputStream</A></B>(org.dom4j.Element&nbsp;streamElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses (stream element can be named differently):</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/FileOutputStream.html" title="class or interface in java.io">FileOutputStream</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/StreamConfigParser.html#parseFileOutputStream(org.dom4j.Element)">parseFileOutputStream</A></B>(org.dom4j.Element&nbsp;streamElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses (stream element can be named differently):</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/StreamConfigParser.html#parseInputStream(org.dom4j.Element)">parseInputStream</A></B>(org.dom4j.Element&nbsp;streamElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses (stream element can be named differently):</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintStream.html" title="class or interface in java.io">PrintStream</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/StreamConfigParser.html#parseLoggerStream(org.dom4j.Element)">parseLoggerStream</A></B>(org.dom4j.Element&nbsp;streamElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses (stream element can be named differently):</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io">OutputStream</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/StreamConfigParser.html#parseOutputStream(org.dom4j.Element)">parseOutputStream</A></B>(org.dom4j.Element&nbsp;streamElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses an output stream of any type, see class comments  
 (stream element can be named differently).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/StreamConfigParser.html#parseURLInputStream(org.dom4j.Element)">parseURLInputStream</A></B>(org.dom4j.Element&nbsp;streamElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses (stream element can be named differently):</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="parseOutputStream(org.dom4j.Element)"><!-- --></A><H3>
parseOutputStream</H3>
<PRE>
public static <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io">OutputStream</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/StreamConfigParser.html#line.123"><B>parseOutputStream</B></A>(org.dom4j.Element&nbsp;streamElement)
                                      throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD>Parses an output stream of any type, see class comments  
 (stream element can be named differently).
<P>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="parseFileOutputStream(org.dom4j.Element)"><!-- --></A><H3>
parseFileOutputStream</H3>
<PRE>
public static <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/FileOutputStream.html" title="class or interface in java.io">FileOutputStream</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/StreamConfigParser.html#line.151"><B>parseFileOutputStream</B></A>(org.dom4j.Element&nbsp;streamElement)
                                              throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD>Parses (stream element can be named differently):
 <pre>
                <stream type="file">
                        <file name="{work-dir}/{-out[2]}"/>                                     
                </stream>
 </pre>
<P>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="parseConsolePrintStream(org.dom4j.Element)"><!-- --></A><H3>
parseConsolePrintStream</H3>
<PRE>
public static <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintStream.html" title="class or interface in java.io">PrintStream</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/StreamConfigParser.html#line.169"><B>parseConsolePrintStream</B></A>(org.dom4j.Element&nbsp;streamElement)
                                           throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD>Parses (stream element can be named differently):
 <pre>
                <stream type="console">
                        <console type="out"/>
                </stream>               
 </pre>
<P>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="parseLoggerStream(org.dom4j.Element)"><!-- --></A><H3>
parseLoggerStream</H3>
<PRE>
public static <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintStream.html" title="class or interface in java.io">PrintStream</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/StreamConfigParser.html#line.187"><B>parseLoggerStream</B></A>(org.dom4j.Element&nbsp;streamElement)
                                     throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD>Parses (stream element can be named differently):
 <pre>
                <stream type="logger">
                        <logger name="" level="INFO"/>
                </stream>
 </pre>
<P>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="parseInputStream(org.dom4j.Element)"><!-- --></A><H3>
parseInputStream</H3>
<PRE>
public static <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/StreamConfigParser.html#line.223"><B>parseInputStream</B></A>(org.dom4j.Element&nbsp;streamElement)
                                    throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD>Parses (stream element can be named differently):
 <pre>
                <stream type="file">
                        <file name="{work-dir}/{-out[2]}"/>                                     
                </stream>
                <stream type="url">
                        <url name="http://..."/>                                        
                </stream>
                <input type="file">
                        <file name="{work-dir}/{-out[2]}"/>                                     
                </input>
 </pre>
<P>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="parseFileInputStream(org.dom4j.Element)"><!-- --></A><H3>
parseFileInputStream</H3>
<PRE>
public static <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/FileInputStream.html" title="class or interface in java.io">FileInputStream</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/StreamConfigParser.html#line.247"><B>parseFileInputStream</B></A>(org.dom4j.Element&nbsp;streamElement)
                                            throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD>Parses (stream element can be named differently):
 <pre>
                <stream type="file">
                        <file name="{work-dir}/{-out[2]}"/>                                     
                </stream>
 </pre>
<P>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="parseURLInputStream(org.dom4j.Element)"><!-- --></A><H3>
parseURLInputStream</H3>
<PRE>
public static <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/StreamConfigParser.html#line.266"><B>parseURLInputStream</B></A>(org.dom4j.Element&nbsp;streamElement)
                                       throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD>Parses (stream element can be named differently):
 <pre>
                <stream type="url">
                        <url name="{work-dir}/{-out[2]}"/>                                      
                </stream>
 </pre>
<P>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/StreamConfigParser.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/xml/config/MissingReferableException.html" title="class in ch.javasoft.xml.config"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/xml/config/StreamConfigParser.ConsoleType.html" title="enum in ch.javasoft.xml.config"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/xml/config/StreamConfigParser.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="StreamConfigParser.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
